List Fund Snapshots
curl --request GET \
--url https://api.rangler.co/v1/funds/{fund_id}/snapshots \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.rangler.co/v1/funds/{fund_id}/snapshots"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.rangler.co/v1/funds/{fund_id}/snapshots', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"fund_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"as_of_date": "2023-12-25",
"factsheet_title": "<string>",
"factsheet_url": "<string>",
"source_document_title": "<string>",
"source_document_url": "<string>",
"factsheet_month": "2023-12-25",
"source_post_url": "<string>",
"source_period_month": "2023-12-25",
"source_page_url": "<string>",
"source_published_at": "2023-11-07T05:31:56Z",
"price": 123,
"price_currency": "<string>",
"aum": 123,
"aum_currency": "<string>",
"native_aum": 123,
"native_aum_currency": "<string>",
"fx_rate_applied": 123,
"fx_rate_date": "2023-12-25",
"aum_conversion_status": "native",
"asset_value_kind": "<string>",
"asset_value_label": "<string>",
"month_return_pct": 123,
"ytd_return_pct": 123,
"annual_returns": {},
"performance_history": {},
"source_metrics": {},
"net_yield_pct": 123,
"aum_change_abs": 123,
"aum_change_pct": 123,
"aum_change_yoy_abs": 123,
"aum_change_yoy_pct": 123,
"price_change_abs": 123,
"price_change_pct": 123,
"price_change_yoy_abs": 123,
"price_change_yoy_pct": 123,
"net_yield_change_pct_points": 123,
"net_yield_change_yoy_pct_points": 123,
"top_holdings": [
{
"name": "<string>",
"holding_type": "<string>",
"weight": 123,
"company": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ticker": "<string>",
"name": "<string>",
"logo_url": "<string>"
}
}
]
}
],
"next_cursor": "<string>"
}{
"error": {
"type": "unauthorized",
"code": "unauthorized",
"message": "Authentication required.",
"request_id": "28fa6152-7081-492e-8a7e-00beb237b689"
}
}{
"error": {
"type": "forbidden",
"code": "forbidden",
"message": "Paid access is required.",
"request_id": "5c253b3e-778e-4a58-aaf8-07cb21e03563"
}
}{
"error": {
"type": "not_found",
"code": "not_found",
"message": "Company not found",
"request_id": "9f5237bc-7d8c-4a9d-9c1f-fbd4ef236cf9"
}
}{
"error": {
"type": "validation_error",
"code": "validation_error",
"message": "Request validation failed",
"request_id": "c5964dca-d290-4465-a3dc-f92d42aa9b17",
"details": [
{
"type": "missing",
"loc": [
"query",
"ticker"
],
"msg": "Field required",
"input": null
}
]
}
}{
"error": {
"type": "rate_limit_exceeded",
"code": "rate_limit_exceeded",
"message": "Rate limit exceeded",
"request_id": "cc4d369a-2c69-4ee2-909e-985ea35d14a9"
}
}{
"error": {
"type": "internal_server_error",
"code": "internal_server_error",
"message": "Internal Server Error",
"request_id": "70b63aba-b8a3-41c2-bb0c-fbe67d84d37d"
}
}Funds
List Fund Snapshots
GET
/
v1
/
funds
/
{fund_id}
/
snapshots
List Fund Snapshots
curl --request GET \
--url https://api.rangler.co/v1/funds/{fund_id}/snapshots \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.rangler.co/v1/funds/{fund_id}/snapshots"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.rangler.co/v1/funds/{fund_id}/snapshots', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"fund_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"as_of_date": "2023-12-25",
"factsheet_title": "<string>",
"factsheet_url": "<string>",
"source_document_title": "<string>",
"source_document_url": "<string>",
"factsheet_month": "2023-12-25",
"source_post_url": "<string>",
"source_period_month": "2023-12-25",
"source_page_url": "<string>",
"source_published_at": "2023-11-07T05:31:56Z",
"price": 123,
"price_currency": "<string>",
"aum": 123,
"aum_currency": "<string>",
"native_aum": 123,
"native_aum_currency": "<string>",
"fx_rate_applied": 123,
"fx_rate_date": "2023-12-25",
"aum_conversion_status": "native",
"asset_value_kind": "<string>",
"asset_value_label": "<string>",
"month_return_pct": 123,
"ytd_return_pct": 123,
"annual_returns": {},
"performance_history": {},
"source_metrics": {},
"net_yield_pct": 123,
"aum_change_abs": 123,
"aum_change_pct": 123,
"aum_change_yoy_abs": 123,
"aum_change_yoy_pct": 123,
"price_change_abs": 123,
"price_change_pct": 123,
"price_change_yoy_abs": 123,
"price_change_yoy_pct": 123,
"net_yield_change_pct_points": 123,
"net_yield_change_yoy_pct_points": 123,
"top_holdings": [
{
"name": "<string>",
"holding_type": "<string>",
"weight": 123,
"company": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ticker": "<string>",
"name": "<string>",
"logo_url": "<string>"
}
}
]
}
],
"next_cursor": "<string>"
}{
"error": {
"type": "unauthorized",
"code": "unauthorized",
"message": "Authentication required.",
"request_id": "28fa6152-7081-492e-8a7e-00beb237b689"
}
}{
"error": {
"type": "forbidden",
"code": "forbidden",
"message": "Paid access is required.",
"request_id": "5c253b3e-778e-4a58-aaf8-07cb21e03563"
}
}{
"error": {
"type": "not_found",
"code": "not_found",
"message": "Company not found",
"request_id": "9f5237bc-7d8c-4a9d-9c1f-fbd4ef236cf9"
}
}{
"error": {
"type": "validation_error",
"code": "validation_error",
"message": "Request validation failed",
"request_id": "c5964dca-d290-4465-a3dc-f92d42aa9b17",
"details": [
{
"type": "missing",
"loc": [
"query",
"ticker"
],
"msg": "Field required",
"input": null
}
]
}
}{
"error": {
"type": "rate_limit_exceeded",
"code": "rate_limit_exceeded",
"message": "Rate limit exceeded",
"request_id": "cc4d369a-2c69-4ee2-909e-985ea35d14a9"
}
}{
"error": {
"type": "internal_server_error",
"code": "internal_server_error",
"message": "Internal Server Error",
"request_id": "70b63aba-b8a3-41c2-bb0c-fbe67d84d37d"
}
}Authorizations
Path Parameters
Query Parameters
Required range:
1 <= x <= 500AUM display currency
Available options:
native, NGN, USD